Loading...
Searching...
No Matches
casacore::TaQLInsertNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining an insert command. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLInsertNodeRep (const TaQLMultiNode &with, const TaQLMultiNode &tables, const TaQLMultiNode &columns, const TaQLNode &values, const TaQLNode &limit)
| TaQLInsertNodeRep (const TaQLMultiNode &with, const TaQLMultiNode &tables, const TaQLMultiNode &insert)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLMultiNode | itsWith
TaQLMultiNode | itsTables
TaQLMultiNode | itsColumns
TaQLNode | itsValues
TaQLNode | itsLimit

## Detailed Description

Raw TaQL parse tree node defining an insert command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the parts for an insert command. The values cvan be a list of expressions or a subquery.

Definition at line 906 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLInsertNodeRep() [1/2]

casacore::TaQLInsertNodeRep::TaQLInsertNodeRep | ( | const TaQLMultiNode & | with,
|  | const TaQLMultiNode & | tables,
|  | const TaQLMultiNode & | columns,
|  | const TaQLNode & | values,
|  | const TaQLNode & | limit )

## TaQLInsertNodeRep() [2/2]

casacore::TaQLInsertNodeRep::TaQLInsertNodeRep | ( | const TaQLMultiNode & | with,
|  | const TaQLMultiNode & | tables,
|  | const TaQLMultiNode & | insert )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLInsertNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLInsertNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLInsertNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLInsertNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsColumns

TaQLMultiNode casacore::TaQLInsertNodeRep::itsColumns

Definition at line 921 of file TaQLNodeDer.h.

## itsLimit

TaQLNode casacore::TaQLInsertNodeRep::itsLimit

Definition at line 923 of file TaQLNodeDer.h.

## itsTables

TaQLMultiNode casacore::TaQLInsertNodeRep::itsTables

Definition at line 920 of file TaQLNodeDer.h.

## itsValues

TaQLNode casacore::TaQLInsertNodeRep::itsValues

Definition at line 922 of file TaQLNodeDer.h.

## itsWith

TaQLMultiNode casacore::TaQLInsertNodeRep::itsWith

Definition at line 919 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h